<?php
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
/* Connect To Database*/
require_once "../db.php";
require_once "../php_conexion.php";
require_once "../funciones.php";
$sucursal_users = $_SESSION['sucursal_users'];
$fact_default     = get_row('sucursales', 'fact_default', 'id_sucursal', $sucursal_users);
$sql         = mysqli_query($conexion, "select * from comprobantes where  tipo_comp =4");
$rw          = mysqli_fetch_array($sql);
if ($rw == 0) {
  echo "<script>
    swal({
      title: 'No hay Asignación de Comprobante Para el Usuario',
      text: 'Contactar con el Administrador',
      type: 'error',
      confirmButtonText: 'ok'
  })</script>";
  exit;
}
$id_comp   = $rw['id_comp'];
$serie_comp  = $rw['serie_comp'];
$desde_comp  = $rw['desde_comp'];
$hasta_comp  = $rw['hasta_comp'];
$actual_comp = $rw['actual_comp'];
$long_comp   = $rw['long_comp'];
$tipo_comp   = $rw['tipo_comp'];

$rs = mysqli_query($conexion, "SELECT MAX(num_fact) AS factura FROM correlativos WHERE tipo_fact='$id_comp'") or die('error ' . mysqli_error($conexion));
$row          = mysqli_fetch_array($rs);
$numfactura = $row['factura'];
$test = $numfactura + 1;

$formato = str_pad($test, $long_comp, "0", STR_PAD_LEFT);
$completo = $serie_comp . '' . $formato;
echo '<input type="text" class="form-control" autocomplete="off" id="factura" value="' . $completo . '" placeholder="Factura" readonly name="factura" >';
echo '<input type="hidden" class="form-control" autocomplete="off" id="tipo_comp" value="' . $tipo_comp . '" name="tipo_comp" >';
